Unable to verify install

This forum can be browsed by the general public. Posting is limited to current SAPIEN license holders with active maintenance and does not offer a response time guarantee.
Forum rules
DO NOT POST LICENSE NUMBERS, LICENSE KEYS OR ANY OTHER LICENSING INFORMATION IN THIS FORUM.
Only the original author and our tech personnel can reply to a topic that is created in this forum. If you find a topic that relates to an issue you are having, please create a new topic and reference the other in your post.

Any code longer than three lines should be added as code using the 'Select Code' dropdown menu or attached as a file.
User avatar
bnatal
Posts: 3
Joined: Thu Jun 02, 2016 1:51 pm

Unable to verify install

Post by bnatal » Mon Sep 09, 2019 7:20 am

Anytime I try to install a new module or update an existing using the module manager 2019, it complains about the following:

>> Checking modules for updates on SPA-1001291 from repository PSGallery.
>> Finished checking for updates on SPA-1001291 from repository PSGallery.
>>
>> Verifying install...
>> Unable to verify install...
>> dbatools failed to install.

Currently running the latest version of the module manager v1.1.3 and have latest version of PowerShellGet 2.2.1. The only way to get around this is to open an elevated shell and type in the commands manually. Any suggestions on how to resolve. I would like to use the GUI interface to update modules.

Thx,
Ben

User avatar
brittneyr
Site Admin
Posts: 243
Joined: Thu Jun 01, 2017 7:20 am

Re: Unable to verify install

Post by brittneyr » Mon Sep 09, 2019 9:16 am

Thank you for reporting this issue. Some other customers have reported the same thing and we are currently investigating.
For the time being, does this issue still persist if you refresh your modules? To refresh, click the blue circular arrow in the top-left corner, go to File -> Refresh Installed or click F5:
PMG_Refresh.png
PMG_Refresh.png (25.37 KiB) Viewed 1403 times
Brittney Ryn
SAPIEN Technologies, Inc.

User avatar
bnatal
Posts: 3
Joined: Thu Jun 02, 2016 1:51 pm

Re: Unable to verify install

Post by bnatal » Mon Sep 09, 2019 3:42 pm

Unfortunately, I still experience the same error even after performing a refresh of the modules. Keep me posted on a possible fix.

Thx,
Ben

User avatar
brittneyr
Site Admin
Posts: 243
Joined: Thu Jun 01, 2017 7:20 am

Re: Unable to verify install

Post by brittneyr » Tue Sep 10, 2019 7:21 am

Can you please answer the following questions:
- What build of Windows are you currently running?
- 32 or 64 bit?
- Did the previous build (1.1.2) work for you?
- Did you recently update the PowerShellGet module or the PackageManagement module?
- What is your execution policy?
- Are you installing modules to your documents or to programs files (Current User or All Users):
PMG_OptionsGeneralScope.png
PMG_OptionsGeneralScope.png (21.55 KiB) Viewed 1375 times
Brittney Ryn
SAPIEN Technologies, Inc.

User avatar
bnatal
Posts: 3
Joined: Thu Jun 02, 2016 1:51 pm

Re: Unable to verify install

Post by bnatal » Wed Sep 11, 2019 9:50 am

I am currently running on Windows 10 Pro 64-bit. The previous build (1.1.2) did not work for me, we recently purchased the PowerShell ModuleManager. I updated the PowerShellGet to the latest version, the packagemanagement modules says it's up-to-date already. My options was set to "All Users", but I switched it to "Current User" and still doesn't allow be to install/verify modules from the repo.

Thx,
Ben

User avatar
brittneyr
Site Admin
Posts: 243
Joined: Thu Jun 01, 2017 7:20 am

Re: Unable to verify install

Post by brittneyr » Fri Nov 22, 2019 10:19 am

Please try the latest build 1.1.4 and let us know if the issue you were experiencing still persists.
Brittney Ryn
SAPIEN Technologies, Inc.